Activity log for bug #1834583

Date Who What changed Old value New value Message
2019-06-28 07:37:28 Chris Halse Rogers bug added bug
2019-06-28 07:49:07 Apport retracing service bug added subscriber Crash bug triagers for Ubuntu packages
2019-06-28 07:49:09 Apport retracing service attachment added Stacktrace.txt https://bugs.launchpad.net/bugs/1834583/+attachment/5273903/+files/Stacktrace.txt
2019-06-28 07:49:11 Apport retracing service attachment added StacktraceSource.txt https://bugs.launchpad.net/bugs/1834583/+attachment/5273904/+files/StacktraceSource.txt
2019-06-28 07:49:12 Apport retracing service attachment added ThreadStacktrace.txt https://bugs.launchpad.net/bugs/1834583/+attachment/5273905/+files/ThreadStacktrace.txt
2019-06-28 07:49:14 Apport retracing service attachment removed CoreDump.gz https://bugs.launchpad.net/bugs/1834583/+attachment/5273891/+files/CoreDump.gz
2019-06-28 07:49:14 Apport retracing service gnome-shell (Ubuntu): importance Undecided Medium
2019-06-28 07:49:22 Apport retracing service tags amd64 apport-hang eoan need-amd64-retrace third-party-packages amd64 apport-hang eoan third-party-packages
2019-06-28 08:17:05 Daniel van Vugt information type Private Public
2019-06-28 08:17:55 Daniel van Vugt summary GNOME Shell hangs when closing a dialog in CLion GNOME Shell hangs when closing a dialog in CLion; hung in g_private_get() from thread_memory_from_self() from g_slice_free_chain_with_offset() from g_list_free() from stack_do_window_deletions() from stack_ensure_sorted() from get_default_focus_window()
2019-06-28 08:19:01 Daniel van Vugt gnome-shell (Ubuntu): importance Medium High
2019-07-01 21:29:54 Sebastien Bacher gnome-shell (Ubuntu): status New Incomplete
2019-07-02 03:54:23 Daniel van Vugt summary GNOME Shell hangs when closing a dialog in CLion; hung in g_private_get() from thread_memory_from_self() from g_slice_free_chain_with_offset() from g_list_free() from stack_do_window_deletions() from stack_ensure_sorted() from get_default_focus_window() GNOME Shell hangs when closing a dialog; hung in g_private_get() from thread_memory_from_self() from g_slice_free_chain_with_offset() from g_list_free() from stack_do_window_deletions() from stack_ensure_sorted() from get_default_focus_window()
2019-07-02 03:54:58 Daniel van Vugt summary GNOME Shell hangs when closing a dialog; hung in g_private_get() from thread_memory_from_self() from g_slice_free_chain_with_offset() from g_list_free() from stack_do_window_deletions() from stack_ensure_sorted() from get_default_focus_window() GNOME Shell hangs when closing a Java dialog; hung in g_private_get() from thread_memory_from_self() from g_slice_free_chain_with_offset() from g_list_free() from stack_do_window_deletions() from stack_ensure_sorted() from get_default_focus_window()
2019-07-02 22:28:04 Marco Trevisan (Treviño) gnome-shell (Ubuntu): assignee Marco Trevisan (Treviño) (3v1n0)
2019-07-02 22:28:14 Marco Trevisan (Treviño) gnome-shell (Ubuntu): status Incomplete In Progress
2019-07-02 22:28:24 Marco Trevisan (Treviño) gnome-shell (Ubuntu): status In Progress Won't Fix
2019-07-02 22:28:31 Marco Trevisan (Treviño) bug task added mutter (Ubuntu)
2019-07-02 22:28:37 Marco Trevisan (Treviño) mutter (Ubuntu): status New In Progress
2019-07-02 22:28:40 Marco Trevisan (Treviño) mutter (Ubuntu): importance Undecided High
2019-07-02 22:28:42 Marco Trevisan (Treviño) mutter (Ubuntu): assignee Marco Trevisan (Treviño) (3v1n0)
2019-07-02 22:28:49 Marco Trevisan (Treviño) nominated for series Ubuntu Disco
2019-07-02 22:28:49 Marco Trevisan (Treviño) bug task added mutter (Ubuntu Disco)
2019-07-02 22:28:49 Marco Trevisan (Treviño) bug task added gnome-shell (Ubuntu Disco)
2019-07-02 22:28:57 Marco Trevisan (Treviño) bug task deleted mutter (Ubuntu Disco)
2019-07-02 22:36:57 Marco Trevisan (Treviño) bug watch added https://gitlab.gnome.org/GNOME/mutter/issues/660
2019-07-02 22:36:57 Marco Trevisan (Treviño) bug task added mutter
2019-07-02 22:37:14 Marco Trevisan (Treviño) gnome-shell (Ubuntu Disco): status New Invalid
2019-07-03 01:19:31 Bug Watch Updater mutter: status Unknown New
2019-07-03 07:41:25 Daniel van Vugt bug watch added https://gitlab.gnome.org/GNOME/mutter/issues/661
2019-07-03 07:45:32 Daniel van Vugt bug task deleted gnome-shell (Ubuntu Disco)
2019-07-03 10:16:47 Daniel van Vugt summary GNOME Shell hangs when closing a Java dialog; hung in g_private_get() from thread_memory_from_self() from g_slice_free_chain_with_offset() from g_list_free() from stack_do_window_deletions() from stack_ensure_sorted() from get_default_focus_window() GNOME Shell hangs when closing a Java dialog; hung in g_private_get() from thread_memory_from_self() from g_slice_free_chain_with_offset() from g_list_free() from stack_do_window_deletions() from stack_ensure_sorted() from get_default_focus_window() from meta_stack_get_default_focus_window() from meta_window_x11_focus()
2019-07-03 10:18:07 Daniel van Vugt summary GNOME Shell hangs when closing a Java dialog; hung in g_private_get() from thread_memory_from_self() from g_slice_free_chain_with_offset() from g_list_free() from stack_do_window_deletions() from stack_ensure_sorted() from get_default_focus_window() from meta_stack_get_default_focus_window() from meta_window_x11_focus() GNOME Shell hangs when closing a Java dialog; hung in (varying functions under) meta_stack_get_default_focus_window() from meta_window_x11_focus()
2019-07-04 13:35:58 Tristan Tarrant bug added subscriber Tristan Tarrant
2019-07-05 01:45:12 Daniel van Vugt tags amd64 apport-hang eoan third-party-packages amd64 apport-hang eoan regression third-party-packages
2019-07-05 01:45:32 Daniel van Vugt summary GNOME Shell hangs when closing a Java dialog; hung in (varying functions under) meta_stack_get_default_focus_window() from meta_window_x11_focus() [eoan][regression] GNOME Shell hangs when closing a Java dialog; hung in (varying functions under) meta_stack_get_default_focus_window() from meta_window_x11_focus()
2019-07-05 01:48:34 Daniel van Vugt tags amd64 apport-hang eoan regression third-party-packages amd64 apport-hang disco eoan regression third-party-packages
2019-07-05 15:39:07 Darkalex bug added subscriber Darkalex
2019-07-08 11:17:17 Bug Watch Updater mutter: status New Fix Released
2019-07-08 17:20:52 Marco Trevisan (Treviño) description Pretty much as summary :) On my eaon system, closing any dialog in CLion (a Java program, which might be relevant) results in GNOME Shell hanging. I believe this to be a recent (in the last week or so, maybe?) regression. ProblemType: Hang DistroRelease: Ubuntu 19.10 Package: gnome-shell 3.32.2-2ubuntu1 ProcVersionSignature: Ubuntu 5.0.0-17.18-generic 5.0.8 Uname: Linux 5.0.0-17-generic x86_64 NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair ApportVersion: 2.20.11-0ubuntu3 Architecture: amd64 CurrentDesktop: ubuntu:GNOME Date: Fri Jun 28 17:27:00 2019 DisplayManager: gdm3 ExecutablePath: /usr/bin/gnome-shell ProcCmdline: /usr/bin/gnome-shell ProcEnviron: LANGUAGE=en_AU:en PATH=(custom, user) XDG_RUNTIME_DIR=<set> LANG=en_AU.UTF-8 SHELL=/usr/bin/fish RelatedPackageVersions: mutter-common 3.32.2+git20190626-1ubuntu1 Signal: 6 SourcePackage: gnome-shell StacktraceTop: __GI_raise (sig=<optimised out>) at ../sysdeps/unix/sysv/linux/raise.c:50 () <signal handler called> () at /lib/x86_64-linux-gnu/libc.so.6 g_private_get () at /lib/x86_64-linux-gnu/libglib-2.0.so.0 g_slice_free_chain_with_offset () at /lib/x86_64-linux-gnu/libglib-2.0.so.0 Title: gnome-shell crashed with SIGABRT in __GI_raise() UpgradeStatus: Upgraded to eoan on 2019-05-31 (27 days ago) UserGroups: adm cdrom dialout dip libvirt lpadmin lxd plugdev sambashare sbuild sudo separator: [ Description ] On my eaon system, closing any dialog in CLion (a Java program, which might be relevant) results in GNOME Shell hanging. I believe this to be a recent (in the last week or so, maybe?) regression. [ Test case ] $ sudo snap install clion - Start clion, open a file - Hit Ctrl+Shift+F - Select Directory -> Click "..." to select the path - Hit OK / Cancel - The dialog should show and the shell should be responsive [ Regression potential ] The wrong window or no window is focused when a window is destroyed. ProblemType: HangDistroRelease: Ubuntu 19.10 Package: gnome-shell 3.32.2-2ubuntu1 ProcVersionSignature: Ubuntu 5.0.0-17.18-generic 5.0.8 Uname: Linux 5.0.0-17-generic x86_64 NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair ApportVersion: 2.20.11-0ubuntu3 Architecture: amd64 CurrentDesktop: ubuntu:GNOME Date: Fri Jun 28 17:27:00 2019 DisplayManager: gdm3 ExecutablePath: /usr/bin/gnome-shell ProcCmdline: /usr/bin/gnome-shell ProcEnviron:  LANGUAGE=en_AU:en  PATH=(custom, user)  XDG_RUNTIME_DIR=<set>  LANG=en_AU.UTF-8  SHELL=/usr/bin/fish RelatedPackageVersions: mutter-common 3.32.2+git20190626-1ubuntu1 Signal: 6SourcePackage: gnome-shell StacktraceTop:  __GI_raise (sig=<optimised out>) at ../sysdeps/unix/sysv/linux/raise.c:50  ()  <signal handler called> () at /lib/x86_64-linux-gnu/libc.so.6  g_private_get () at /lib/x86_64-linux-gnu/libglib-2.0.so.0  g_slice_free_chain_with_offset () at /lib/x86_64-linux-gnu/libglib-2.0.so.0 Title: gnome-shell crashed with SIGABRT in __GI_raise() UpgradeStatus: Upgraded to eoan on 2019-05-31 (27 days ago) UserGroups: adm cdrom dialout dip libvirt lpadmin lxd plugdev sambashare sbuild sudo separator:
2019-07-09 06:11:53 bart bug added subscriber bart
2019-07-09 08:57:22 Daniel van Vugt tags amd64 apport-hang disco eoan regression third-party-packages amd64 apport-hang disco eoan regression regression-proposed third-party-packages
2019-07-10 10:52:01 KrosseKrabbe bug added subscriber KrosseKrabbe
2019-07-11 13:11:25 Ilyas Gazimagomedov bug added subscriber Ilyas
2019-07-20 09:31:28 Launchpad Janitor mutter (Ubuntu): status In Progress Fix Released
2019-07-22 02:05:16 Daniel van Vugt gnome-shell (Ubuntu): status Won't Fix Invalid
2019-07-23 21:00:04 Alex Stanev bug added subscriber Alex Stanev
2019-07-29 15:48:21 Łukasz Zemczak mutter (Ubuntu Disco): status New Fix Committed
2019-07-29 15:48:24 Łukasz Zemczak bug added subscriber Ubuntu Stable Release Updates Team
2019-07-29 15:48:27 Łukasz Zemczak bug added subscriber SRU Verification
2019-07-29 15:48:37 Łukasz Zemczak tags amd64 apport-hang disco eoan regression regression-proposed third-party-packages amd64 apport-hang disco eoan regression regression-proposed third-party-packages verification-needed verification-needed-disco
2019-07-30 00:43:41 Marco Trevisan (Treviño) tags amd64 apport-hang disco eoan regression regression-proposed third-party-packages verification-needed verification-needed-disco amd64 apport-hang disco eoan regression regression-proposed third-party-packages verification-done verification-done-disco
2019-08-02 01:43:54 Daniel van Vugt description [ Description ] On my eaon system, closing any dialog in CLion (a Java program, which might be relevant) results in GNOME Shell hanging. I believe this to be a recent (in the last week or so, maybe?) regression. [ Test case ] $ sudo snap install clion - Start clion, open a file - Hit Ctrl+Shift+F - Select Directory -> Click "..." to select the path - Hit OK / Cancel - The dialog should show and the shell should be responsive [ Regression potential ] The wrong window or no window is focused when a window is destroyed. ProblemType: HangDistroRelease: Ubuntu 19.10 Package: gnome-shell 3.32.2-2ubuntu1 ProcVersionSignature: Ubuntu 5.0.0-17.18-generic 5.0.8 Uname: Linux 5.0.0-17-generic x86_64 NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair ApportVersion: 2.20.11-0ubuntu3 Architecture: amd64 CurrentDesktop: ubuntu:GNOME Date: Fri Jun 28 17:27:00 2019 DisplayManager: gdm3 ExecutablePath: /usr/bin/gnome-shell ProcCmdline: /usr/bin/gnome-shell ProcEnviron:  LANGUAGE=en_AU:en  PATH=(custom, user)  XDG_RUNTIME_DIR=<set>  LANG=en_AU.UTF-8  SHELL=/usr/bin/fish RelatedPackageVersions: mutter-common 3.32.2+git20190626-1ubuntu1 Signal: 6SourcePackage: gnome-shell StacktraceTop:  __GI_raise (sig=<optimised out>) at ../sysdeps/unix/sysv/linux/raise.c:50  ()  <signal handler called> () at /lib/x86_64-linux-gnu/libc.so.6  g_private_get () at /lib/x86_64-linux-gnu/libglib-2.0.so.0  g_slice_free_chain_with_offset () at /lib/x86_64-linux-gnu/libglib-2.0.so.0 Title: gnome-shell crashed with SIGABRT in __GI_raise() UpgradeStatus: Upgraded to eoan on 2019-05-31 (27 days ago) UserGroups: adm cdrom dialout dip libvirt lpadmin lxd plugdev sambashare sbuild sudo separator: [ Description ] On my eaon system, closing any dialog in CLion (a Java program, which might be relevant) results in GNOME Shell hanging. I believe this to be a recent (in the last week or so, maybe?) regression. https://errors.ubuntu.com/problem/4a57302829116966b06eef27966d687ea662af4f [ Test case ]  $ sudo snap install clion  - Start clion, open a file  - Hit Ctrl+Shift+F  - Select Directory -> Click "..." to select the path  - Hit OK / Cancel  - The dialog should show and the shell should be responsive [ Regression potential ] The wrong window or no window is focused when a window is destroyed. ProblemType: HangDistroRelease: Ubuntu 19.10 Package: gnome-shell 3.32.2-2ubuntu1 ProcVersionSignature: Ubuntu 5.0.0-17.18-generic 5.0.8 Uname: Linux 5.0.0-17-generic x86_64 NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair ApportVersion: 2.20.11-0ubuntu3 Architecture: amd64 CurrentDesktop: ubuntu:GNOME Date: Fri Jun 28 17:27:00 2019 DisplayManager: gdm3 ExecutablePath: /usr/bin/gnome-shell ProcCmdline: /usr/bin/gnome-shell ProcEnviron:  LANGUAGE=en_AU:en  PATH=(custom, user)  XDG_RUNTIME_DIR=<set>  LANG=en_AU.UTF-8  SHELL=/usr/bin/fish RelatedPackageVersions: mutter-common 3.32.2+git20190626-1ubuntu1 Signal: 6SourcePackage: gnome-shell StacktraceTop:  __GI_raise (sig=<optimised out>) at ../sysdeps/unix/sysv/linux/raise.c:50  ()  <signal handler called> () at /lib/x86_64-linux-gnu/libc.so.6  g_private_get () at /lib/x86_64-linux-gnu/libglib-2.0.so.0  g_slice_free_chain_with_offset () at /lib/x86_64-linux-gnu/libglib-2.0.so.0 Title: gnome-shell crashed with SIGABRT in __GI_raise() UpgradeStatus: Upgraded to eoan on 2019-05-31 (27 days ago) UserGroups: adm cdrom dialout dip libvirt lpadmin lxd plugdev sambashare sbuild sudo separator:
2019-08-05 07:53:38 Łukasz Zemczak removed subscriber Ubuntu Stable Release Updates Team
2019-08-05 08:03:29 Launchpad Janitor mutter (Ubuntu Disco): status Fix Committed Fix Released